%define i18ndate 20010626

Name:		bash
Version:	4.2
Release:	11
Summary:	The GNU Bourne Again shell (bash)
Group:		Shells
License:	GPLv2+
URL:		http://www.gnu.org/software/bash/bash.html
Source0:	ftp://ftp.gnu.org/pub/gnu/bash/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Source2:	ftp://ftp.gnu.org/pub/gnu/bash/bash-doc-3.2.tar.bz2
Source3:	dot-bashrc
Source4:	dot-bash_profile
Source5:	dot-bash_logout
Source6:	alias.sh
Source7:	bashrc
Source8:	profile.d-bash
Patch1:		bash-2.02-security.patch
# ensure profile is read (Redhat)
Patch3:		bash-4.0-profile.patch
Patch4:		bash-2.05b-readlinefixes.patch
Patch6:		bash-2.04-compat.patch
#https://bugzilla.novell.com/attachment.cgi?id=67684
Patch100:	bash-3.1-extended_quote.patch
# Official upstream patches
# none
Patch1000:	bash-strcoll-bug.diff
Patch1003:	bash-2.05b-checkwinsize.patch
Patch1004:	bash-3.2-lzma-copmpletion.patch
# (fc) 3.2-12mdv speedup bash completion (Fedora) (Fedora bug #475229)
Patch1005:	bash-3.2-speed-completion.patch
# (fc) 3.2-12mdv fix format string
Patch1006:	bash-3.2-format-security.patch
# (proyvind): 4.2-5 add --rpm-requires option (Fedora) (mdvbz#61712)
Patch1007:	bash-requires.patch
Patch1008:	bash42-001
Patch1009:	bash42-002
Patch1010:	bash42-003
Patch1011:	bash42-004
Patch1012:	bash42-005
Patch1013:	bash42-006
Patch1014:	bash42-007
Patch1015:	bash42-008
Patch1016:	bash42-009
Patch1017:	bash42-010
Patch1018:	bash-ru-ua-l10n.patch
Patch1019:	bash42-011
Patch1020:	bash42-012
Patch1021:	bash42-013
Patch1022:	bash42-014
Patch1023:	bash42-015
Patch1024:	bash42-016
Patch1025:	bash42-017
Patch1026:	bash42-018
Patch1027:	bash42-019
Patch1028:	bash42-020
Patch1029:	bash42-021
Patch1030:	bash42-022
Patch1031:	bash42-023
Patch1032:	bash42-024
Patch1033:	bash42-025
Patch1034:	bash42-026
Patch1035:	bash42-027
Patch1036:	bash42-028
Patch1037:	bash42-029
Patch1038:	bash42-030
Patch1039:	bash42-031
Patch1040:	bash42-032
Patch1041:	bash42-033
Patch1042:	bash42-034
Patch1043:	bash42-035
Patch1044:	bash42-036
Patch1045:	bash42-037
Patch1046:	bash42-038
Patch1047:	bash42-039

BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	groff
BuildRequires:	termcap-devel
BuildRequires:	texinfo
Conflicts:	etcskel <= 1.63-11mdk
Conflicts:	fileutils < 4.1-5mdk
Conflicts:	setup < 2.7.4-1mdv
Obsoletes:	bash3 < 3.2.48
Provides:	bash3
# explicit file provides
Provides:	/bin/sh

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

%package doc
Summary:	Documentation for the GNU Bourne Again shell (bash)
Group:		Books/Computer books
Requires:	%{name} = %{version}-%{release}
Obsoletes:	bash3-doc < 3.2.48
Provides:	bash3-doc

%description doc
This package provides documentation for GNU Bourne Again shell (bash).

%prep
%setup -q -a 2
mv doc/README .

%patch1 -p1 -b .security
%patch3 -p1 -b .profile
# 20060126 warly obsolete exept maybe for the replacement of @ by kH, this will have to be checked
#%patch4 -p1 -b .readline
%patch6 -p1 -b .compat
%patch1000 -p1 -b .strcoll_bugx
%patch1003 -p1 -b .checkwinsize
%patch1004 -p1 -b .lzma
%patch1006 -p1 -b .format-security
%patch1007 -p1 -b .requires~
%patch100 -p0 -b .quote
%patch1008 -p0 -b .001
%patch1009 -p0 -b .002
%patch1010 -p0 -b .003
%patch1011 -p0 -b .004
%patch1012 -p0 -b .005
%patch1013 -p0 -b .006
%patch1014 -p0 -b .007
%patch1015 -p0 -b .008
%patch1016 -p0 -b .009
%patch1017 -p0 -b .010
# bash-ru-ua-l10n.patch
%patch1018 -p1 -b .ruua
%patch1019 -p0 -b .011
%patch1020 -p0 -b .012
%patch1021 -p0 -b .013
%patch1022 -p0 -b .014
%patch1023 -p0 -b .015
%patch1024 -p0 -b .016
%patch1025 -p0 -b .017
%patch1026 -p0 -b .018
%patch1027 -p0 -b .019
%patch1028 -p0 -b .020
%patch1029 -p0 -b .021
%patch1030 -p0 -b .022
%patch1031 -p0 -b .023
%patch1032 -p0 -b .024
%patch1033 -p0 -b .025
%patch1034 -p0 -b .026
%patch1035 -p0 -b .027
%patch1036 -p0 -b .028
%patch1037 -p0 -b .029
%patch1038 -p0 -b .030
%patch1039 -p0 -b .031
%patch1040 -p0 -b .032
%patch1041 -p0 -b .033
%patch1042 -p0 -b .034
%patch1043 -p0 -b .035
%patch1044 -p0 -b .036
%patch1045 -p0 -b .037
%patch1046 -p0 -b .038
%patch1047 -p0 -b .039

echo %{version} > _distribution
echo %{release} > _patchlevel
sed -i -e s/mdk// _patchlevel

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"
# (tpg) Enable RECYCLES_PIDS feature
export CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE -DRECYCLES_PIDS `getconf LFS_CFLAGS`"
export DEBUGGER_START_FILE="%{_datadir}/bashdb/bashdb-main.inc"

%configure2_5x \
    --enable-command-timing \
    --disable-rpath \
    --enable-history \
    --enable-job-control \
    --enable-multibyte \
    --enable-readline \
    --with-installed-readline \
    --with-gnu-malloc \
    --without-bash-malloc \
    --disable-strict-posix-default \
    --enable-select \
    --enable-prompt-string-decoding \
    --enable-process-substitution \
    --enable-alias \
    --enable-bang-history \
    --enable-coprocesses \
    --enable-directory-stack \
    --enable-brace-expansion

%make

# all tests must pass
%check
make check

%install
%makeinstall_std

# beurk
rm -rf %{buildroot}%{_datadir}/locale/en@boldquot/ %{buildroot}%{_datadir}/locale/en@quot/

#Sucks
chmod +w doc/texinfo.tex
chmod 755 examples/misc/aliasconv.*
chmod 755 examples/misc/cshtobash
chmod 755 %{buildroot}%{_bindir}/bashbug

# Take out irritating ^H's from the documentation
mkdir tmp_doc
for i in `/bin/ls doc/` ; \
	do cat doc/$i > tmp_doc/$i ; \
	cat tmp_doc/$i | perl -p -e 's/.//g' > doc/$i ; \
	rm tmp_doc/$i ; \
	done
rmdir tmp_doc

mkdir -p %{buildroot}/bin
pushd %{buildroot} && mv usr/bin/bash bin/bash && popd
pushd %{buildroot}/bin && ln -s bash sh && popd
pushd %{buildroot}/bin && ln -sf bash bash3 && popd

# make builtins.1 and rbash.1 with bash.1 in place (fix mdv#51379)
pushd doc
mkdir tmp_fix_so
cd tmp_fix_so
cp ../builtins.1 ../rbash.1 .
sed -e '/^.if \\n(zZ=1 .ig zZ/,/^.zZ/d' ../bash.1 > bash.1
soelim builtins.1 > ../builtins.1
sed -e '/^.if \\n(zY=1 .ig zY/,/^.zY/d' ../bash.1 > bash.1
soelim rbash.1    > ../rbash.1
popd

# make manpages for bash builtins as per suggestion in DOC/README
cd doc
sed -e '
/^\.SH NAME/, /\\- bash built-in commands, see \\fBbash\\fR(1)$/{
/^\.SH NAME/d
s/^bash, //
s/\\- bash built-in commands, see \\fBbash\\fR(1)$//
s/,//g
b
}
d
' builtins.1 > man.pages
install -m 644 builtins.1 %{buildroot}%{_mandir}/man1/builtins.1

install -m 644 rbash.1 %{buildroot}%{_mandir}/man1/rbash.1

for i in `cat man.pages` ; do
  echo .so man1/builtins.1 > %{buildroot}%{_mandir}/man1/$i.1
done

# now turn man.pages into a filelist for the man subpackage

cat man.pages |tr -s ' ' '\n' |sed '
1i\
%defattr(0644,root,root,0755)
s:^:%{_mandir}/man1/:
s/$/.1%{_extension}/
' > ../man.pages

perl -p -i -e 's!.*/(printf|export|echo|false|pwd|test|true|kill).1%{_extension}!!' ../man.pages

mkdir -p %{buildroot}%{_sysconfdir}/skel
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/skel/.bashrc
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/skel/.bash_profile
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/skel/.bash_logout
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/profile.d/60alias.sh
install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/bashrc
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/profile.d/95bash-extras.sh

ln -s bash %{buildroot}/bin/rbash

# These're provided by other packages
rm -f %{buildroot}{%{_infodir}/dir,%{_mandir}/man1/{echo,export,false,kill,printf,pwd,test,true}.1}

cd ..

install -m 644 doc/bash.info %{buildroot}%{_infodir}/

#find_lang %{name}

# merges list
cat man.pages > files.list

# install documentation manually in expected place
install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 README COMPAT NEWS NOTES POSIX CHANGES \
    %{buildroot}%{_docdir}/%{name}
cp -pr examples doc/*.ps doc/*.0 doc/*.html doc/article.txt \
    %{buildroot}%{_docdir}/%{name}

%files -f files.list
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/README
%config(noreplace) %{_sysconfdir}/skel/.b*
%{_sysconfdir}/profile.d/60alias.sh
%{_sysconfdir}/profile.d/95bash-extras.sh
%config(noreplace) %{_sysconfdir}/bashrc
/bin/rbash
/bin/bash
/bin/bash3
/bin/sh
%{_infodir}/bash.info*
%{_mandir}/man1/bash.1*
%{_mandir}/man1/rbash.1*
%{_mandir}/man1/builtins.1*
%{_mandir}/man1/bashbug.1*
%{_bindir}/bashbug
%{_localedir}/*/*/*.mo

%files doc
%{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/README


%changelog
* Sat Nov 03 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2-11
+ Revision: 821750
- fix buildrequires
- update to patchlevel 39
- spef file clean

* Mon Nov 28 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2-10
+ Revision: 735118
- revert use of %%serverbuild_hardened macro
- use %%serverbuild_hardened macro
- enable RECYCLES_PIDS feature
- get rid of %%find_lang
- update to patchlevel 20

* Tue Aug 23 2011 Alexander Barakin <abarakin@mandriva.org> 4.2-9
+ Revision: 696270
- update ru and ua l10n

* Mon Jul 25 2011 Andrey Bondrov <abondrov@mandriva.org> 4.2-8
+ Revision: 691575
- Rebuild
- Better HISTCONTROL handling in /etc/profile.d/95bash-extras.sh

* Sun Jun 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2-7
+ Revision: 686020
- add patches 009 and 010 from upstream

* Wed Apr 20 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.2-6
+ Revision: 656351
- add 8 patches from upstream
- enable checks

* Sun Mar 06 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.2-5
+ Revision: 642353
- add --rpm-requires patch (#61712)

* Sat Feb 26 2011 Funda Wang <fwang@mandriva.org> 4.2-4
+ Revision: 639962
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - store bash documentation in /usr/share/doc/bash, not in /usr/share/doc/bash-doc

* Tue Feb 22 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.2-3
+ Revision: 639373
- drop conflicting 'false.1' man page as well

* Tue Feb 22 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.2-2
+ Revision: 639299
- Do not build true manpage, provided by coreutils (#62590)

* Mon Feb 21 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.2-1
+ Revision: 639152
- Reenable ru localization.
- Update to bash 4.2.
  Drop upstream patches.

* Sun Oct 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.1-8mdv2011.0
+ Revision: 586309
- add two patches from upstream

* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.1-7mdv2011.0
+ Revision: 564597
- add upstream patches 006 and 007
- compile with -Os flag
- enable few options in configure script

* Mon May 31 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.1-6mdv2010.1
+ Revision: 546801
- Revert change in HISTIGNORE, proper fix will be in mc package.

* Mon May 31 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.1-5mdv2010.1
+ Revision: 546784
- Work around mc messing up bash history (#59547)

* Wed Mar 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.1-4mdv2010.1
+ Revision: 530535
- apply pending official patches

* Fri Mar 05 2010 Claudio Matsuoka <claudio@mandriva.com> 4.1-3mdv2010.1
+ Revision: 514787
- Add extra bash settings provided by Eric Piel (#27126)

* Wed Jan 13 2010 Eugeni Dodonov <eugeni@mandriva.com> 4.1-2mdv2010.1
+ Revision: 490840
- Disable displaying of control characters in ls command by default, as it has security consequences (CVE-2010-0002, #56882).

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 4.1-1mdv2010.1
+ Revision: 485797
- New version 4.1
- drop 4.0 patches

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - /etc/profile.d/alias.sh should not be executable, but should have an order prefix

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 4.0-7mdv2010.0
+ Revision: 454756
- package CHANGE in doc

* Fri Sep 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.0-6mdv2010.0
+ Revision: 444369
- Updated to patchset 33.

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0-5mdv2010.0
+ Revision: 422505
- synch patches with upstream (225,226,227 and 228)
- tune up configure options

* Tue Jul 28 2009 Frederic Crozat <fcrozat@mandriva.com> 4.0-4mdv2010.0
+ Revision: 402384
- Update default configuration to use same prompt for xterm and screen titles (Fedora)
- Add warning in default configuration hinting users to create a separate file in /etc/profile.d (Fedora)

* Thu Jun 18 2009 Wanderlei Cavassin <cavassin@mandriva.com.br> 4.0-3mdv2010.0
+ Revision: 387176
- make builtins.1 and rbash.1 with in place bash.1 pertinent lines,
  avoiding problem in sourcing a compressed man (fix mdv #51379)

* Tue Jun 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 4.0-2mdv2010.0
+ Revision: 382268
- Updated to official patchset 24.

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.0-1mdv2010.0
+ Revision: 370148
- new version
- drop documentation, not available for this version anymore

* Wed Feb 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.48-3mdv2009.1
+ Revision: 344740
- rebuild against new readline

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.48-2mdv2009.1
+ Revision: 339012
- drop fedora catch-all completion patch, as it break completion definition output format, causing troubles in indirect completions such as sudo

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - bunzip all patches

* Mon Jan 12 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 3.2.48-1mdv2009.1
+ Revision: 328797
- update to new version 3.2.48
- patches from 101 to 148 were merged upstream
- new license policy
- fix mixture of tabs and spaces
- better description for doc subpackage
- disable rpath
- enable few configure options
- versionate obsoletes
- spec file clean

* Wed Dec 17 2008 Frederic Crozat <fcrozat@mandriva.com> 3.2-12mdv2009.1
+ Revision: 315133
- Remove dietlibc build, useless
- Remove patches 13 (no longer needed), 90 (replaced by configuration in setup package)
- Regenerate patch 3, 135
- Patch1005 (Behdad): speedup bach completion (Fedora bug #475229)
- Patch1006: fix format string

* Fri Dec 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-11mdv2009.1
+ Revision: 310749
- update to official patch level 48
- re-enable official patches 20 to 25, #35880 seems to be fixed

* Fri Dec 05 2008 Pixel <pixel@mandriva.com> 3.2-10mdv2009.1
+ Revision: 310732
- .bash_profile: calling keychain is already done in /etc/profile.d/99keychain.sh (fixes #46045)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - remove rather usless info in description

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.2-9mdv2009.0
+ Revision: 264327
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Thierry Vignaud <tv@mandriva.org> 3.2-8mdv2009.0
+ Revision: 218046
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Dec 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-7mdv2008.1
+ Revision: 115767
- skip patches 21 to 25 to, as they don't apply cleanly when removing patch 20
- don't apply official patch 020, it seems to be responsible for bug #35880

* Thu Nov 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2-6mdv2008.1
+ Revision: 113958
- update to current official patchset
- test profile scriptlet readability, not executability

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 3.2-5mdv2008.0
+ Revision: 76690
- cleanup temp variable (#31851)

* Sat Aug 11 2007 Olivier Blin <blino@mandriva.org> 3.2-4mdv2008.0
+ Revision: 61891
- fix man page extension (using _extension macro)
- really add patches 16 and 17 (not twice again patch 15)

  + Thierry Vignaud <tv@mandriva.org>
    - use color by default for egrep & grep

  + Anssi Hannula <anssi@mandriva.org>
    - add note about upgrading into alias.sh

  + Jérôme Soyer <saispo@mandriva.org>
    - Bump release
    - Add two patches

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add lzma support to bash completion (P1004)

* Mon Apr 30 2007 Pixel <pixel@mandriva.com> 3.2-2mdv2008.0
+ Revision: 19543
- explicit file provide /bin/sh

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 3.2-1mdv2008.0
+ Revision: 14985
- Apply Upstream patch


* Sat Apr 07 2007 Jérôme Soyer <saispo@mandriva.org> 3.2-1mdv2007.1
+ Revision: 151056
- New release

* Mon Jan 08 2007 Warly <warly@mandriva.com> 3.1-9mdv2007.1
+ Revision: 105951
- now /etc/bashrc is in bash
- now bashrc is in bash and not in setup any more (#10967)

* Sat Oct 14 2006 Nicholas Brown <nickbrown@mandriva.org> 3.1-8mdv2007.1
+ Revision: 64481
- fix debugger location
- Import bash

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-7mdv2007.0
- initialize keychain if needed in default .bash_profile (fix #12750)

* Thu Aug 24 2006 Gaetan Lehmann <glehmann@mandriva.org> 3.1-6mdv2007.0
- colored grep alias

* Wed Aug 23 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1-5
- rebuild to fix changelog

* Tue May 23 2006 Warly <warly@mandriva.com> 3.1-3mdv2007.1- add extra bash patches up to patch017
* Thu May 11 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1-3mdk
- make aliash.sh Bourne-complient (from Claudio, fixes #16188)

* Mon Feb 13 2006 Warly <warly@mandriva.com> 3.1-2mdk
- add patch 3.1-006 and 3.1-007
- add extended quote fix from novell (thanks Arnaud)

* Mon Jan 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-1mdk
- new version
- drop unused patches
- drop old patches 50 to 65, merged upstream
- add new 3.1 branch patches (64-68)

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.0-6mdk 
- don't source bash-completion from .bashrc, it is useless now
- shellbang in /etc/profile.d/alias.sh
- /etc/profile.d/alias.sh is not a config file
- spec cleanup

* Sat May 28 2005 Pixel <pixel@mandriva.com> 3.0-5mdk
- don't use CLASS from /etc/sysconfig/system which is deprecated

* Sat Apr 23 2005 G?tz Waschk <waschk@mandriva.org> 3.0-4mdk
- fix doc file generation
- fix rpm changelog

* Sat Apr 23 2005 G?tz Waschk <waschk@mandriva.org> 3.0-3mdk
- use the new name
- make spec short-circuit^{TM} compiant
- fix buildrequires
- don't set LESSOPEN in alias.sh, it's now in less.sh

* Fri Jan 07 2005 Warly <warly@mandrakesoft.com> 3.0-2mdk
- reinclude builtins man pages
- bash-doc obsoletes bash3-doc

* Thu Jan 06 2005 Warly <warly@mandrakesoft.com> 3.0-1mdk
- new version

* Fri Dec 31 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05b-25mdk
- run testsuite, all tests shall pass
- really check for WCONTINUED support in waitpid() calls

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 2.05b-24mdk
- BuildRequires byacc --> bison
- fix Summary (rpmlint)

* Sat Nov 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.05b-23mdk
- fix the diet stuff

* Fri Aug 27 2004 Robert Vojta <robert.vojta@mandrake.org> 2.05b-22mdk
- do not waste resources with DIR_COLORS if ~/.dir_colors exists (#10945)

* Thu Aug 26 2004 Robert Vojta <robert.vojta@mandrake.org> 2.05b-21mdk
- look at the user defined colors too - ~/.dir_colors too (#10945)

* Fri Aug 20 2004 J?r?mie Lenfant-Engelmann <jlenfant@mandrakesoft.com> 2.05b-20mdk
- Patch1003: fix a bug with checkwinsize

* Fri Jul 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.05b-19mdk
- Patch12: fix builds with --enable-minimal-config
- Patch13: make it possible to build with dietlibc

* Sat Jul 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.05b-18mdk 
- fix use of the M.. word in description for doc package too
- fix perms
- no distinct URL for doc

* Fri Jul 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.05b-17mdk 
- enable bash-completion support from user .bashrc
- fix build with new gcc
- fix use of the M.. word in description
- spec cleanup
- removed unapplied patches

